Skip to main content
Security & Audit/Security
GETSecuritySince 1.0SynchronousAuth Required

GetVulnerabilityReport

Get CVE vulnerability report for a specific CVE identifier.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • cveIdString

    CVE identifier to retrieve the vulnerability report for CVE identifier to retrieve the vulnerability report for

Responses

200 OK

On success, this API returns the following response structure.

  • cveIdString

    CVE identifier this report is for

    Example: CVE-2021-44228

  • severityString

    Severity level of the CVE in this report

    Example: CVE_SEVERITY_UNSPECIFIED

  • cvssScoreLong

    CVSS score for this CVE

    Example: 9.8

  • descriptionString

    Human-readable description of the CVE

    Example: Remote code execution via Log4Shell

  • affectedAgentCountInteger

    Total number of agents affected by this CVE

    Example: 42

  • findingsList

    Detailed findings per affected agent

    Example: (nested array)

    • agentIdString

      Unique identifier of the agent with this finding

      Example: agent-abc123

    • cveIdString

      CVE identifier for the discovered vulnerability

      Example: CVE-2021-44228

    • severityString

      Severity level of the discovered vulnerability

      Example: CVE_SEVERITY_UNSPECIFIED

    • cvssScoreLong

      CVSS score for the vulnerability finding

      Example: 9.8

    • affectedPackageNameString

      Name of the package affected by this vulnerability

      Example: log4j-core

    • installedVersionString

      Version of the package currently installed on the agent

      Example: 2.14.1

    • fixVersionString

      Version that fixes this vulnerability

      Example: 2.17.0

    • isFixedBoolean

      Whether the vulnerability has been patched on this agent

      Example: false

    • scannedAtString

      Timestamp when this vulnerability was scanned

      Example: 2026-01-15T08:00:00Z

Endpoint

GET/api/v1/security/vulnerability-report

/api/v1/security/vulnerability-report

Operation ID

GetVulnerabilityReport

Permalink

Request Example

curl -X GET '{host}/api/v1/security/vulnerability-report' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "cveId": "CVE-2021-44228",
  "severity": {},
  "cvssScore": 9.8,
  "description": "Remote code execution via Log4Shell",
  "affectedAgentCount": 42,
  "findings": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history